## class SG_EXPORT osg::Depth

> Encapsulate OpenGL glDepthFunc/Mask/Range functions

## Inheritance:

### Public Methods

Depth(Function func=LESS, double zNear=0.0, double zFar=1.0, bool writeMask=true)
Depth(const Depth& dp, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
  Copy constructor using CopyOp to manage deep vs shallow copy
META_StateAttribute(osg, Depth, DEPTH)
virtual int compare(const StateAttribute& sa) const
  return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs
virtual void getAssociatedModes(std::vector<GLMode>& modes) const
inline void setFunction(Function func)
inline Function getFunction() const
inline void setRange(double zNear, double zFar)
inline double getZNear() const
inline double getZFar() const
inline void setWriteMask(bool mask)
inline bool getWriteMask() const
virtual void apply(State& state) const

### Public Members

enum Function

### Protected Fields

Function _func
double _zNear
double _zFar
bool _depthWriteMask

### Protected Methods

virtual ~Depth()

### Inherited from StateAttribute:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
virtual Type getType() const
virtual bool isTextureAttribute() const
bool operator < (const StateAttribute& rhs) const
bool operator == (const StateAttribute& rhs) const
bool operator != (const StateAttribute& rhs) const
virtual void compile(State&) const

### Public Members

typedef GLenum GLMode
typedef unsigned int GLModeValue
typedef unsigned int OverrideValue
enum Values
typedef unsigned int Type
enum Types

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> Encapsulate OpenGL glDepthFunc/Mask/Range functions

`enum Function`

`NEVER`

`LESS`

`EQUAL`

`LEQUAL`

`GREATER`

`NOTEQUAL`

`GEQUAL`

`ALWAYS`

`Depth(Function func=LESS, double zNear=0.0, double zFar=1.0, bool writeMask=true)`

`Depth(const Depth& dp, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`
  Copy constructor using CopyOp to manage deep vs shallow copy

`META_StateAttribute(osg, Depth, DEPTH)`

`virtual int compare(const StateAttribute& sa) const`
  return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs

`virtual void getAssociatedModes(std::vector<GLMode>& modes) const`

`inline void setFunction(Function func)`

`inline Function getFunction() const`

`inline void setRange(double zNear, double zFar)`

`inline double getZNear() const`

`inline double getZFar() const`

`inline void setWriteMask(bool mask)`

`inline bool getWriteMask() const`

`virtual void apply(State& state) const`

`virtual ~Depth()`

`Function _func`

`double _zNear`

`double _zFar`

`bool _depthWriteMask`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.